Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 684430 - OS hangs without user input or running process in the background
OS hangs without user input or running process in the background
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
14
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-12 09:34 EST by Gajdos Tamás
Modified: 2012-08-16 09:47 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 09:47:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Cpuinfo output (543 bytes, application/octet-stream)
2011-03-12 09:34 EST, Gajdos Tamás
no flags Details
Dmesg 2.6.40* (42.25 KB, application/octet-stream)
2011-10-10 05:09 EDT, Gajdos Tamás
no flags Details

  None (edit)
Description Gajdos Tamás 2011-03-12 09:34:46 EST
Created attachment 483897 [details]
Cpuinfo output

Description of problem:
OS hangs without user input or running background process. The clock stops, and all the programs stop. If I click or run the boinc-client in the background all the time, the OS can be used normally and the programs/clock updating. If the boinc-client isn't running the OS starts to hang in 5-10 seconds. If I move the mouse it resumes again.
This occurs during install too. I have to produce user inputs(pressing space or clicking with the mouse) because the Install process hanged also.
The same symptoms were registered when I used an ubuntu with kernel 2.6.35 and up.
My fedora14 is a normal normal desktop install.

Version-Release number of selected component (if applicable):
2.6.35.* (all)

How reproducible:
Well, I think it is hardware specific: i get this during boot time since 2007 (the first time I installed linux on my laptop)
MP-BIOS bug: 8254 timer not connected to IO-APIC

My laptop: Fujitsu Siemens L7320

Steps to Reproduce:
1. Boot with a 2.6.35.* kernel
2. Leave the computer on the desk, without any "full time" processes running (like boinc-client)
3. Return to the computer and notice, that nothing happened from the last time you were there (the clock shows the time in the past, the browser didn't update your opened gmail. 
  
Actual results:
The computer cannot run normally without a processor demanding job.

Expected results:
The computer can be left, "doing nothing serious".

Additional info:
Today I installed kernel-2.6.34.8-68 and 2.6.33 (from F13) and with stopped boinc-client I can use the computer and leave it. No hangs and stops are found using these old kernels.
Found also this: http://kernelnewbies.org/Linux_2_6_35#head-09453599a205fafa918caddd3d9be76f9d0da0bd
11 or 12 point.
Comment 1 Josh Boyer 2011-08-30 12:59:04 EDT
(In reply to comment #0)
> MP-BIOS bug: 8254 timer not connected to IO-APIC
> 
> My laptop: Fujitsu Siemens L7320

Have you checked for a BIOS update?  It sounds like timer ticks aren't generating interrupts on your machine.

If you are still seeing this with the latest f14 or f15 kernel, could you post the boot log?
Comment 2 Gajdos Tamás 2011-09-02 14:34:17 EDT
There is no bios update for my laptop. I will try it with the latest kernel to f14,f15 or even with f16. Report in one to four days.

(In reply to comment #1)
> (In reply to comment #0)
> > MP-BIOS bug: 8254 timer not connected to IO-APIC
> > 
> > My laptop: Fujitsu Siemens L7320
> 
> Have you checked for a BIOS update?  It sounds like timer ticks aren't
> generating interrupts on your machine.
> 
> If you are still seeing this with the latest f14 or f15 kernel, could you post
> the boot log?
Comment 3 Gajdos Tamás 2011-09-02 15:27:01 EDT
No luck with:
kernel.i686              2.6.35.14-96.fc14 @updates-testing
kernel.i686              2.6.40.3-0.fc15   @/kernel-2.6.40.3-0.fc15.i686

moving onto fc16.

(In reply to comment #2)
> There is no bios update for my laptop. I will try it with the latest kernel to
> f14,f15 or even with f16. Report in one to four days.
> 
> (In reply to comment #1)
> > (In reply to comment #0)
> > > MP-BIOS bug: 8254 timer not connected to IO-APIC
> > > 
> > > My laptop: Fujitsu Siemens L7320
> > 
> > Have you checked for a BIOS update?  It sounds like timer ticks aren't
> > generating interrupts on your machine.
> > 
> > If you are still seeing this with the latest f14 or f15 kernel, could you post
> > the boot log?
Comment 4 Gajdos Tamás 2011-10-10 05:09:59 EDT
Created attachment 527193 [details]
Dmesg 2.6.40*
Comment 5 Gajdos Tamás 2011-10-10 05:12:11 EDT
Upgraded to Fedora 15, no luck. Still running with fedora 13 kernel (2.6.34.9-69)

Part from dmesg (same for f13 and f15)

[    0.018135] Enabling APIC mode:  Flat.  Using 1 I/O APICs
[    0.019530] ..TIMER: vector=0x30 apic1=0 pin1=16 apic2=-1 pin2=-1
[    0.019998] ..MP-BIOS bug: 8254 timer not connected to IO-APIC
[    0.019998] ...trying to set up timer (IRQ0) through the 8259A ...
[    0.019998] ..... (found apic 0 pin 16) ...
[    0.019998] ....... failed.
[    0.019998] ...trying to set up timer as Virtual Wire IRQ...
[    0.030668] ..... works.
[    0.030670] CPU0: Intel(R) Celeron(R) M processor         1.70GHz stepping 08

Does this have any connection with my problem?
Comment 6 Ade Rixon 2011-10-16 11:23:44 EDT
I have the same model of laptop and I'm seeing the same behaviour since updating from F12 to F14 via preupgrade; the system simply freezes - including the clock - unless a key is kept pressed.
Comment 7 Chuck Ebbert 2011-10-17 22:35:51 EDT
(In reply to comment #5)
> Upgraded to Fedora 15, no luck. Still running with fedora 13 kernel
> (2.6.34.9-69)
> 

Please try the F16 beta - you can just boot the livecd for testing.
Comment 8 Gajdos Tamás 2011-10-18 04:44:28 EDT
This is a bit complicated, because I cannot use the dvd-rom nor can boot from usb. I usually install from a PXE/NFS server. It works for ubuntu and debian live cds, but I don't know how to make a fedora live cd pxe bootable. The install dvd works over PXE/NFS, but that's install not a live cd.
Can you give me some advice, how to make a fedora live cd pxe bootable?

Btw, I had the same problem with ubuntu maverick (2.6.35), natty(2.6.38), oneiric(3.0.0). Same symptoms. All kernels are affected, which are 2.6.35 and above.

I can post a youtube video if you need visual information :)

(In reply to comment #7)
> (In reply to comment #5)
> > Upgraded to Fedora 15, no luck. Still running with fedora 13 kernel
> > (2.6.34.9-69)
> > 
> 
> Please try the F16 beta - you can just boot the livecd for testing.
Comment 9 Ade Rixon 2012-01-14 06:35:22 EST
Sorry for the long delay in following up. I've now tried the F16 beta live CD (from Oct 2011) on my Fujitsu laptop and it worked fine. I'm going to try the full upgrade in due course.
Comment 10 Fedora End Of Life 2012-08-16 09:47:11 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.